com.avaya.ccs.api.enums

## Enum OffsiteMode

- java.lang.Object
- - java.lang.Enum<OffsiteMode>
  - - com.avaya.ccs.api.enums.OffsiteMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OffsiteMode>

      public enum OffsiteMode
      extends java.lang.Enum<OffsiteMode>

  The `OffsiteMode` enum represents the possible offsite modes that a user can be administered with in the Contact Center.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disabled` Indicates that the user is not configured to work in offsite mode and must work at the Contact Center site location.
    `Mandatory` Indicates that the user can only work in offsite mode.
    `Optional` Indicates that the user is configured to work in offsite mode and can work either at the Contact Center site location or offsite.
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OffsiteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OffsiteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disabled

          public static final OffsiteMode Disabled

      Indicates that the user is not configured to work in offsite mode and must work at the Contact Center site location.

    - #### Optional

          public static final OffsiteMode Optional

      Indicates that the user is configured to work in offsite mode and can work either at the Contact Center site location or offsite.

    - #### Mandatory

          public static final OffsiteMode Mandatory

      Indicates that the user can only work in offsite mode.

    - #### Unknown

          public static final OffsiteMode Unknown

  - ### Method Detail

    - #### values

          public static OffsiteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OffsiteMode c : OffsiteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OffsiteMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null